
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>CentOS中rpm包管理详解 / 憋错料</title>

    <meta name="description" content="CentOS中rpm包管理详解 环境说明:Win7+Vmware11+Centos6.6,使用CentOS6.6安装光盘 RPM全名是&quot;RedHat Package Manager&quot;,RPM最大优点是将要安装的软件先编译过,并且打包成为RPM机制的安装包,通过包装好的软件里头默认的数据库记录这个软件要安装的时候必须具备的依赖属性软件,当安装在你的Linux主机是,RPM会先依照软件里头的数据查询Linux主机的依赖属性软件是否满足,若满足则予以安装,若不满足则不予以安装. 在执行rpm包管理之前,我们首先将 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">CentOS中rpm包管理详解</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>环境说明:Win7+Vmware11+Centos6.6,使用CentOS6.6安装光盘</p>
<p>RPM全名是“RedHat Package Manager”,RPM最大优点是将要安装的软件先编译过，并且打包成为RPM机制的安装包，通过包装好的软件里头默认的数据库记录这个软件要安装的时候必须具备的依赖属性软件，当安装在你的Linux主机是，RPM会先依照软件里头的数据查询Linux主机的依赖属性软件是否满足，若满足则予以安装，若不满足则不予以安装。</p>
<p>在执行rpm包管理之前，我们首先将CentOS6.6光盘挂载到本机中：</p>
<p>#mount /dev/cdrom /media/mnt</p>
<p>其次，进入到rpm包目录中,在此目录中我们会看到很多rpm包。</p>
<p>#cd /media/mnt/Packages</p>
<p>下面我们就从rpm包的格式开始说起。下面就是一个典型的rpm包，从此包我们可查询到包的包名、版本号、发行号、适用平台等；</p>
<p>rp-pppoe-3.1-5.x86_64.rpm</p>
<p>rp-pppoe为包名；</p>
<p>3.1为版本信息；</p>
<p>5为发布次数；</p>
<p>x86_64为适合的硬件平台；</p>
<p>rpm为扩展名；</p>
<p>RPM默认的安装路径</p>
<table>
<tbody>
<tr>
<td>/etc</td>
<td>一些设置文件放置的目录</td>
</tr>
<tr>
<td>/usr/bin</td>
<td>一些可执行文件</td>
</tr>
<tr>
<td>/usr/lib</td>
<td>一些程序使用的动态函数库</td>
</tr>
<tr>
<td>/usr/share/doc</td>
<td>一些基本的软件使用手册与帮助文档</td>
</tr>
<tr>
<td>/usr/share/man</td>
<td>一些man page 文件</td>
</tr>
</tbody>
</table>
<p>在对rpm包的管理过程中，我们主要从安装、升级、卸载、查询、校验等几个方面进行。</p>
<p>1、安装(install)</p>
<p>安装软件是root的工作，因此要获得root身份才能操作rpm命令，用rpm安装软件很简单。例如我们要安装xvattr-1.3-18.el6.x86_64.rpm 的文件，我们可以这样操作如下图。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDIvNUUvMDAvd0tpb20xVW9veEtBOUVYbkFBQ1cyNkZpTXg0ODU2LmpwZw==.jpg" /></p>
<p>通过上图的操作我们可以知道安装rpm的简单用法，不过，我们无法显示安装的进度，因此我们通常会使用一些组合命令来执行安装。</p>
<p>-i:install安装的意思</p>
<p>-v:查看更详细的安装信息画面，每增加一个v，显示的安装信息会更加详细</p>
<p>-h:以#号信息显示安装进度</p>
<p>例如如下图:</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDAvNUQvRkMvd0tpb0wxVW9wa1hBTlZMRUFBRUZTNHNpYWI4NzkwLmpwZw==.jpg" /></p>
<p>在安装rpm包时，我们还可以同时安装多个rpm包，例如如下图：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDAvNUUvMDAvd0tpb20xVW9wZjJqSDZ4NkFBRlFielh3WjlzMzE4LmpwZw==.jpg" /></p>
<p>在安装rpm之前，我们可以使用--test测试该软件是否可以安装到用户的Linux环境当中，可找出是否有属性的依赖的问题。第一张图是可以正常安装软件，第二张图不能正常安装软件。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDEvNUQvRkMvd0tpb0wxVW9xc1hTb3ZUakFBQzF4TS16M25ZMjAyLmpwZw==.jpg" /></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDAvNUUvMDEvd0tpb20xVW9yT3VRd2FCbEFBRXgyRHJOZVhNNzY1LmpwZw==.jpg" /></p>
<p>如果我们在安装的过程中发现问题，或者已经知道会发生的问题，而还是要安装软件时，可以使用如下参数"强制"安装。</p>
<p>--nodeps:软件存在属性依赖问题而无法安装时使用，但会造成软件无法正常运行</p>
<p>--replacefiles:如果某软件已安装或版本信息不符合是，可以使用这个参数直接覆盖文件，但覆盖的文 &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;件是无法恢复的</p>
<p>--replacepkgs:重新安装并覆盖原有的文件</p>
<p>--force:强制安装</p>
<p>--oldpackage:高级版本的包无法使用，因此降级用的</p>
<p>--relocate:修改安装路径</p>
<p>在安装过程中，建议使用-ivh参数进行安装就行，如果安装过程中发现问题，一个一个去将问题找出来，不要使用"暴力安装方法"，即--force去强制安装。</p>
<p>2、升级(upgrade/freshen)</p>
<p>RPM安装升级也比较简单，就是用-Uvh或-Fvh升级即可，不过-U和-F的意义不太一样。</p>
<p>-Uvh:后面接的软件即使没有安装过，则系统将予以直接安装；若后面接的软件有安装过旧的版本，则系统自动更新至新版，如下图，已经安装了旧版本，执行-Uvh，则系统自动更新。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDEvNUQvRkMvd0tpb0wxVW9zNG5qOXZ3Y0FBSnVWNVNjV0JJNjg1LmpwZw==.jpg" /></p>
<p>-Fvh:如果后面接的软件并未安装到你的Linux系统上，则该软件不会被安装；即只有已安装到Linux系统内的软件会被升级，如下图，没有安装旧版本，则系统不会自动升级。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDIvNUQvRkMvd0tpb0wxVW90RXFnVEJyUUFBQ0M3ZkdCX01nNTE0LmpwZw==.jpg" /></p>
<p>在使用升级时，也可以使用test、force等特殊参数。</p>
<p>3、查询(query)</p>
<p>RPM在查询的时候，其实查询的地方是/var/lib/rpm这个目录下的数据库文件。查询就是查看某包是否已经安装，以及检查安装的所有包，还可以查看某包的详细信息等。</p>
<p>（1）查询某包或某些包是否安装,例如</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDIvNUUvMDEvd0tpb20xVW90Vlhqa2ViMUFBQ3NITm1EVW5jMTM2LmpwZw==.jpg" /></p>
<p>（2）查询已经安装的所有包，例如</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDEvNUUvMDEvd0tpb20xVW90ZG53Rk5PdkFBSGc0eExrb09VNzI3LmpwZw==.jpg" /></p>
<p>（3）查询某文件是由哪个包安装生成，例如</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDIvNUUvMDEvd0tpb20xVW90cnFDWU1iSUFBQlhBaUEyRmJNMzE1LmpwZw==.jpg" /></p>
<p>(4)尚未安装的包文件的相关信息，</p>
<p>-p:注意-p选项可以同一下(5)-(12)的参数配合使用，但-p是用于查找某个RPM内部的信息，而非已安装的软件信息。例如-qil</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDEvNUQvRkQvd0tpb0wxVW92aktnek42YUFBRG5fSzVjcElFNTcxLmpwZw==.jpg" /></p>
<p>(5)查询某包的简要说明信息,例如</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDEvNUQvRkMvd0tpb0wxVW91ZFBRX2RIV0FBU29YeVNnNFVBMzczLmpwZw==.jpg" /> &nbsp; (6)查询某包安装生成的文件列表,例如</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDEvNUUvMDEvd0tpb20xVW91UWZpZ3hkVUFBSTU0ZDdOQkM0Nzg2LmpwZw==.jpg" /></p>
<p>(7)查询某包安装完成后生成的所有配置文件,例如</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDIvNUUvMDEvd0tpb20xVW91YUd3b0NmVkFBQ09GRm1QbEs0MDY5LmpwZw==.jpg" /></p>
<p>（8）查询某包安装完成后生成的所有帮助文件</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDAvNUUvMDEvd0tpb20xVW91ZlNUZ0hjTEFBRXlfbkpIMXg4MjM3LmpwZw==.jpg" /></p>
<p>(9)查看某包制作时随版本变化的changelog信息</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDEvNUUvMDEvd0tpb20xVW91bnV4SWFjbUFBRG90dXV0T1N3NDc2LmpwZw==.jpg" /></p>
<p>(10)查询某包提供的capabilities;</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDIvNUQvRkMvd0tpb0wxVW92QnlDSUVweEFBQ3JpNHIzWEk4MTUwLmpwZw==.jpg" /></p>
<p>(11)查询某包所依赖的capabilities;</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDEvNUUvMDEvd0tpb20xVW91NHpBdDU5cEFBQzNSaFhqeEtJNDgxLmpwZw==.jpg" /></p>
<p>(12)查询某包安装或卸载时执行脚本</p>
<p>rpm -q --scripts PACKAGE_NAME</p>
<p>脚本有四类:</p>
<p>preinstall:安装过程开始之前执行的脚本</p>
<p>postinstall:安装过程完成之后执行的脚本</p>
<p>preuninstall:卸载开始之前执行的脚本</p>
<p>postinstall:卸载过程完成之后执行的脚本</p>
<p>4、验证与数字证书(Verify/Signature)</p>
<p>验证:查询包安装之后生成的文件是否发生了改变，我们使用-V选项，常用选项：</p>
<p>-Vf:列出某个文件是否被改动过</p>
<p>-Vp:后面加的是文件名称、列出该软件内可能被改动过的文件</p>
<p>-Va:列出目前系统上面所有被改动过的文件</p>
<p>例如</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDAvNUUvMDEvd0tpb20xVW92MXlSb3V1akFBQlFnSnV3TU44MDg0LmpwZw==.jpg" /></p>
<p>在上图中我们发现字母c前面有一串字符串，c前面的8个信息是：</p>
<p>S file Size differs:文件的容量大小是否被改变</p>
<p>M Mode differs :文件的类型或文件的属性是否被改变</p>
<p>5 digest (formerly MD5 sum) differs:MD5这一种指纹码的内容已经不同</p>
<p>D Device major/minor number mismatch:设备的主/次代码是否改变</p>
<p>L readLink(2) path mismatch:Link路径已被改变</p>
<p>U User ownership differs:文件所有者已被改变</p>
<p>G Group ownership differs:文件用户组已被改变</p>
<p>T mTime differs:文件的创建时间已被改变</p>
<p>c代表的是"Configfile"的意思，也就是文件类型，包括</p>
<p>c:设置文件</p>
<p>d:文档</p>
<p>g:"鬼"文件</p>
<p>l:授权文件</p>
<p>r:自述文件</p>
<p>数字证书:可以验证rpm包的来源合法性和数据完整性。在本文中使用的是Centos6.6的光盘，所以介绍一下验证光盘中程序包的来源及完整性。</p>
<p>#rpm --import RPM-GPG-KEY-CentOS-6</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDIvNUUvMDEvd0tpb20xVW93NF9nRG1Nd0FBQ3l0cFJzcnBJMzA1LmpwZw==.jpg" /></p>
<p>如果显示OK，则rpm包可以使用和安装。</p>
<p>数字证书其它常用选项：</p>
<p>--nosignature:不检查来源合法性</p>
<p>--nodigest:不检查完整性</p>
<p>5、卸载与重建数据库(erase/rebuilddb)</p>
<p>卸载:移除已经安装的包，例如</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDEvNUUvMDIvd0tpb20xVW94YnF6TF9IeEFBQ3NwUTJ0RElFMDM2LmpwZw==.jpg" /></p>
<p>卸载的常用选项</p>
<p>--nodeps:忽略依赖关系</p>
<p>--allmatches:如果一个程序包同时安装多个版本，则此选项一次全部卸载之</p>
<p>--test:测试卸载，dry-run模式；</p>
<p>注意:如果程序包的配置文件安装后曾被修改，卸载时，此文件通常不会被删除，而是被重命名(加后缀.rpmsave)后留存</p>
<p>重建数据库:由于RPM文件经常会安装、删除、升级等，某些操作或许可能会导致RPM数据库/var/lib/rpm/内的文件损坏，因此我们有时需要对数据库进行重建。</p>
<p>--initdb:初始化数据库，即数据库完全不存在时，可新建之</p>
<p>--rebuilddb:无论当前数据存在与否，都会直接重建此库（这个操作很危险）</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 05:26:44 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/%e5%8c%85%e8%a3%85/" title="包装">包装</a>, <a href="https://www.biecuoliao.com/tag/%e7%89%88%e6%9c%ac%e5%8f%b7/" title="版本号">版本号</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>CentOS中rpm包管理详解的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4JdnWQ0.html" rel="bookmark">RPM包管理详解&lpar;1&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				RPM全称是Redhat Package Manager,是由RedHat公司开发出来的.用于管理Linux软件的一款开源软件.RPM是一个非常优秀的软件管理程序,现在已经是Linux的软件管理的一个标准,有很多知名Linux发行版都采用了此管理器(RedHat.SUSE).除了RPM外还有很知名的Deb管理器,是属于Debian系使用的,功能也是十分强大(不过国内大多数工作平台都是RedHat系的,所以我们只谈谈RPM). 我们知道程序的运行需要针对平台进行编译,所谓编译就是将一个文本程序(人			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPwDjB4.html" rel="bookmark">RPM 程序包管理详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				CentOS系统上rpm命令管理程序包 一.rpm程序包管理分为安装.升级.卸载.查询和校验.数据库维护 rpm程序包的安装 rpm命令后加的选项参数有: rpm -ivh ,程序包的安装工作,后面直接接要安装的程序包名称;例如: [[email protected] Packages]# rpm -ivh zsh-5.0.2-14.el7.x86_64.rpm  准备中...                          #################################			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/47Grbk4.html" rel="bookmark">LAMP基于RPM包安装详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.LAMP介绍 Linux+Apache+Mysql/MariaDB+Perl/PHP/Python一组常用来搭建动态网站或者服务器的开源软件,本身都是各自独立的程序,因为常被放在一起使用,拥有了越来越高的兼容度,共同组成了一个强大的Web应用程序平台.本文所介绍的是Linux+Apache+MariaDB+PHP,基于RPM包安装的部署过程. 2.环境描述 操作系统 IP地址 系统环境 用途 CentOS 7.1 172.18.20.10/16 最小化安装 Web服务器 CentOS 7.1			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0nb29o0.html" rel="bookmark">linux中rpm 、yum详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.程序包的组成: 1.底层内核:进程管理.内存管理.网络协议栈.驱动程序等 2.应用程序 :各种应用 使大家更好的通过它完成工作. 二.一个合格的程序包包含以下内容: 1.二进制程序,通常在linux /bin./sbin./usr/bin. /usr/sbin等目录下. 2.库文件.通常在linux /lib./lib64./usr/lib./usr/lib64等目录下. 3.配置文件.一般存放在linux /etc目录下. 4.说明和帮助文档,Linux man 和 info文件中. 三.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/L3rjxv3.html" rel="bookmark">Linux中rpm包管理器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				包全名: 1.操作的包是没有安装的软件包时,使用全名,而且要注意路径 2.例如:jdk-8u131-linux-x64.rpm包名: 1.操作的是已经安装好的软件包,使用包名,是搜索/var/lib/rpm/中的文件数据库 2.例如:jdk-8u131-linux-x64 1.安装 rpm -ivh jdk-8u131-linux-x64.rpm 参数:-ivh 说明:安装.显示信息.显示进度 备注: a.用rpm命令安装的时候,需要跟包全名 b.rpm安装过程中,可能会出现依赖的关系,不让你装			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/38poX23.html" rel="bookmark">CentOS中yum使用基础详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				yum在线升级机制.yum是通过分析RPM的标题数据库后,根据各软件的相关性制作出属于依赖时的解决方案,然后可以自动处理软件的依赖属性问题,以解决软件安装或删除与升级的问题. 在实际工作中,我们主要应用yum的查询.安装.升级与删除功能 1.查询 (1)程序包查看 list:列出yum服务器上面提供的所有软件名称,如下图只显示了几条.#yum list (2)list updates:列出可供本机升级的软件有哪些.如下图只显示了几条#yum list updates (3)list instal			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MLLaddM.html" rel="bookmark">Netty中execution包功能详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				技术点描述 Netty中关于多线程处理的代码很多(netty框架的实现本身就是异步处理机制),此文档仅针对于execution包的功能做详细解说. 以下是整个包的目录结构: 包中的调用关系如下图所示: 实现方案 参考源码包 以下是对此包中的源码的分析(请注意后四个类为此包中最重要的类) ChannelEventRunnableFilter 此接口定义了一个抽象方法: boolean filter(ChannelEventRunnable event); 如果传入的event是由Executor处			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3q8ol90.html" rel="bookmark">【转】linux &sol;centos 中OpenSSL升级方法详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				相关软件下载地址 Apache:http://httpd.apache.org/ Nginx:http://nginx.org/en/download.html OpenSSL:http://www.openssl.org/ openssl-poc 附件说明 PoC.py : 漏洞利用测试PoC脚本 showssl.pl:OpenSSL动态库版本检测脚本 安装OpenSSL步骤 由于运营环境不同,以下过程仅供参考.openssl属于系统应用,被较多应用依赖,由于环境不同等因素,请先在测试环境进行			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MmeADDM.html" rel="bookmark">Linux软件包的管理--RPM包管理器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Linux中如何安装.升级.卸载软件,是我们日常运维中重要的组成部分.接下来一CentOS6系统为例,讲解如何使用 RPM 包管理器,yum包管理器以及源码的方式来管理我们的软件包. 一.相关的背景知识 许多程序的源程序,例如使用C语言编写的源代码,要经过预处理,编译,汇编,链接才能生成真正的可执行程序(二进制),才可以使用.为了简化这样的过程,就出现了所谓的包管理器.它出现的目的是:将编译好的程序打包成一个文件或有限的几个文件,可用于实现安装.卸载.升级.查询等功能. 一个包管理器应该具有如			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/w3vPnkM.html" rel="bookmark" class="title">Co-prime</a>
					<div>
						Co-prime Time Limit: 2000/1000 MS (Java/Others)    Memory Limit: 32768/32768 K (Java/Others) Problem ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzamPy4.html" rel="bookmark" class="title">sublime在vi模式下如何快速给选中的字符串加双引号？</a>
					<div>
						1,在vim模式下选中某字符串: 2,按双引号或单引号键,再按ESC 大功告成.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0Ygbly4.html" rel="bookmark" class="title">UC和QQ两个主流浏览器 &ast; 点击触发微信分享到朋友圈或发送给朋友的功能&lpar;转载&rpar;</a>
					<div>
						转载(声明:仅供学习使用) /** * 此插件主要作用是在UC和QQ两个主流浏览器 * 上面触发微信分享到朋友圈或发送给朋友的功能 * 代码编写过程中 参考: * http://mjs.sinaimg ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41g8JJ0.html" rel="bookmark" class="title">grunt使用watch和livereload的Gruntfile&period;js的配置</a>
					<div>
						周末在家看angularJS, 用grunt的livereload的自动刷新, 搞了大半天, 现在把配置贴出来, 免得以后忘记了, 只要按照配置一步步弄是没有问题的; 开始的准备的环境安装是: (1) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4152GP4.html" rel="bookmark" class="title">c&plus;&plus;多线程の死锁与防止死锁</a>
					<div>
						如果有两把锁 lock1(mutex_gard 方式)和lock: 两者的调用顺序不同,会出现相互等待的情况,从而造成死锁: 为了避免死锁,我们可以: 1.每个线程中锁的调用顺序都相同: 2.使用st ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPwzDv4.html" rel="bookmark" class="title">C&plus;&plus; 对象的内存布局&lpar;上&rpar;</a>
					<div>
						转自陈皓的博客 前言 在谈论虚函数表里,至少有以下这些内容没有涉及: - 有成员变量的情况. - 有重复继承的情况. - 有虚拟继承的情况. - 有钻石型虚拟继承的情况. 所以,这篇文章将会是&lt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPZdvP3.html" rel="bookmark" class="title">背水一战 Windows 10 &lpar;26&rpar; - XAML&colon; x&colon;DeferLoadStrategy&comma; x&colon;Null</a>
					<div>
						原文:背水一战 Windows 10 (26) - XAML: x:DeferLoadStrategy, x:Null [源码下载] 作者:webabcd 介绍背水一战 Windows 10 之 XA ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXvdpa3.html" rel="bookmark" class="title">记录一次cacti中文乱码解决经过</a>
					<div>
						背景:公司一台老机器,上面有个cacti.系统为centos5.X,有天手滑卸载了httpd,但yum源已经不支持centos5系列了,无奈百度上找了一个源内容如下: &lt;span style=& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Q7wzo0.html" rel="bookmark" class="title">Eclipse、maven项目常见问题</a>
					<div>
						阿里云maven仓库地址: &lt;mirror&gt; &lt;id&gt;nexus-aliyun&lt;/id&gt; &lt;mirrorOf&gt;*&lt;/mirrorOf&gt; &l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGRday4.html" rel="bookmark" class="title">线性规划算法原理介绍</a>
					<div>
						线性规划定义: 求满足约束的最优目标,目标是变量的线性函数,约束是变量的相等或不等表达式. 单纯形算法 1 松弛变量 为将不等式转化为等式添加的非负变量 比如 将f(xi) &gt;0 变成 xj=  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0R7Ldp3.html" rel="bookmark" class="title">Django的视图系统</a>
					<div>
						视图(views)概述 在前几篇文章中介绍了,client端通过http请求——去url的路由找到相应的视图函数——触发视图函数——再去modes取数据——取到数据后——再通过创建模——views函数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0koPqz0.html" rel="bookmark" class="title">html dom的理解</a>
					<div>
						DOM (Document Object Model)文档对象模型,将html文档以及文档中的内容转换成node接口,以便外部(如js)操作(如修改html内容等). node节点的类型: Docum ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGd5Gb0.html" rel="bookmark" class="title">koa2 中间件里面的next到底是什么</a>
					<div>
						koa2短小精悍,女人不爱男人爱. 之前一只有用koa写一点小程序,自认为还吼吼哈,知道有一天某人问我,你说一下 koa或者express中间件的实现原理.然后我就支支吾吾,好久吃饭都不香. 那么了解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4AEk554.html" rel="bookmark" class="title">20170309工作笔记--------如何用好dialog，想变什么样就变成什么样</a>
					<div>
						(1)首先自定义一个dialog的div,并且写内容 (2)运用相应的代码进行控制,弹出dialog $(&quot;.tel&quot;).click(function() { $(&quot;#d ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38o81n0.html" rel="bookmark" class="title">Python3&period;5 day3作业二：修改haproxy配置文件。</a>
					<div>
						需求: 1.使python具体增删查的功能. haproxy的配置文件. global log 127.0.0.1 local2 daemon maxconn 256 log 127.0.0.1 lo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OXm8X4.html" rel="bookmark" class="title">mybatis&plus;struts2&plus;html&lpar;jstl&rpar;&plus;css</a>
					<div>
						从10月8号到今天23号,来到工作已经半个月了,这是我人生中真正意义上的一次步入社会,用自己20年的坚持和努力取得的人生第一步,说实话,感觉自己真的是个lucky dog,好像是在眷顾我,所有的事情都 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35Pz610.html" rel="bookmark" class="title">Asp&period;net MVC中Route的理解</a>
					<div>
						在Asp.net MVC中,对于一个请求,是通过路由找到对应的Controller类中的对应Action,并与model进行交互,最后返回到view. 就是说Asp.net MVC是用Route来定义 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVR6yQM.html" rel="bookmark" class="title">黑马程序员&lowbar;&lowbar;&lowbar;类和对象</a>
					<div>
						类和对象 面向对象 面向对象的思想就是关注解决的问题需要哪些对象,然后直接用对象的方法解决问题,C语言是面向过程的语言,面向过程关注的时解决问题需要哪些步骤 生活中面向对象的例子 ¬ 想打电话\发短信 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0k6kYjM.html" rel="bookmark" class="title">Windows中使用MySQL 创建数据库（二）</a>
					<div>
						一.数据库操作 1.查看当前存在的所有数据库 mysql&gt;show databases; 2.切换当前使用数据库 mysql&gt;use test 3.授权 mysql&gt;grant al ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0n8jKo4.html" rel="bookmark" class="title">C语言study一</a>
					<div>
						之前看了CPP,敲过些代码,但总觉得学得不够系统,书后面的习题比较无聊,不想去写.C主要在学数据结构和理解底层上面很有帮助. 于是又来mooc学习C语言,看了下视频虽然很繁琐啰嗦,但是有些东西我确实以 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
